type: google.api.Service
config_version: 3
name: cloudprofiler.googleapis.com
title: Stackdriver Profiler API

apis:
- name: google.devtools.cloudprofiler.v2.ProfilerService

documentation:
  summary: Allows Google services to send in continuous profiling information.
  overview: |-
    The Stackdriver Profiler API allows Google services manage the continuous
    profiling information collected in cloud environments like Flex and GCE VMs.

authentication:
  rules:
  - selector: '*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/monitoring,
        https://www.googleapis.com/auth/monitoring.write
